# $Revision: 1.92 $, $Date: 2012/06/29 09:00:23 $
#
%define		module			gnome-python-extras
%define		pygtk_req		2:2.10.4
%define		gnome_python_req	2.16.2
#
Summary:	GNOME bindings for Python
Summary(pl.UTF-8):	Wiązania Pythona do bibliotek GNOME
Name:		python-gnome-extras
Version:	2.25.3
Release:	33
License:	GPL v2/LGPL v2.1 (see COPYING)
Group:		Libraries/Python
Source0:	http://ftp.gnome.org/pub/GNOME/sources/gnome-python-extras/2.25/%{module}-%{version}.tar.bz2
# Source0-md5:	9f3b7ec5c57130b96061cb486b79c076
# http://bugzilla.gnome.org/show_bug.cgi?id=584126
Patch0:		%{name}-new-gdl.patch
Patch1:		%{name}-gtkdocdir.patch
BuildRequires:	autoconf >= 2.52
BuildRequires:	automake
BuildRequires:	docbook-dtd412-xml
BuildRequires:	docbook-style-xsl
BuildRequires:	gdl-devel >= 3.0.0
BuildRequires:	glib2-devel >= 1:2.6
BuildRequires:	gnome-common
BuildRequires:	gnome-vfs2-devel >= 2.16.3
BuildRequires:	gtk+2-devel >= 2:2.10.0
BuildRequires:	gtkspell-devel >= 2.0.11
BuildRequires:	libgda4-devel >= 3.99.11
BuildRequires:	libgnomeui-devel >= 2.16.1
BuildRequires:	libgtkhtml-devel >= 2.3.1
BuildRequires:	libtool
BuildRequires:	libxslt-progs
BuildRequires:	pkgconfig
BuildRequires:	python-devel >= 1:2.3.2
BuildRequires:	python-gnome-devel >= %{gnome_python_req}
BuildRequires:	python-pygtk-devel >= %{pygtk_req}
# for style.css
BuildRequires:	python-pygobject-apidocs
BuildRequires:	readline-devel
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.234
%pyrequires_eq	python-modules
Obsoletes:	python-gnome-extras-libgksu < 2.25.3-33
Obsoletes:	python-gnome-extras-mozilla
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define pydefsdir %(pkg-config --variable=defsdir pygtk-2.0)

%description
GNOME bindings for Python.

%description -l pl.UTF-8
Wiązania Pythona do bibliotek GNOME.

%package devel
Summary:	Development files for GNOME bindings for Python
Summary(pl.UTF-8):	Pliki programistyczne wiązań Pythona do GNOME
Group:		Libraries/Python
Requires:	%{name}-egg = %{version}-%{release}
Requires:	%{name}-gtkhtml = %{version}-%{release}
Requires:	python-pygtk-devel >= %{pygtk_req}

%description devel
Development files for GNOME bindings for Python.

%description devel -l pl.UTF-8
Pliki programistyczne wiązań Pythona do GNOME.

%package examples
Summary:	Example programs for python-gnome-extras
Summary(pl.UTF-8):	Przykładowe programy do python-gnome-extras
Group:		Libraries/Python
Requires:	%{name}-devel = %{version}-%{release}

%description examples
This package contains example programs for python-gnome-extras.

%description examples -l pl.UTF-8
Ten pakiet zawiera przykładowe programy dla python-gnome-extras.

%package egg
Summary:	egg.trayicon bindings for Python
Summary(pl.UTF-8):	Wiązania Pythona do egg.trayicon
Group:		Libraries/Python
Requires:	python-gnome-ui >= %{gnome_python_req}

%description egg
egg.trayicon bindings for Python.

%description egg -l pl.UTF-8
Wiązania Pythona do egg.trayicon.

%package gda
Summary:	Libgda bindings for Python
Summary(pl.UTF-8):	Wiązania Pythona do biblioteki libgda
Group:		Libraries/Python
Requires:	libgda4 >= 3.99.11
Requires:	python-pygtk-gtk >= %{pygtk_req}

%description gda
Libgda bindings for Python.

%description gda -l pl.UTF-8
Wiązania Pythona do biblioteki libgda.

%package gda-devel
Summary:	Header files for pygda library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki pygda
Group:		Libraries/Python
Requires:	libgda4-devel >= 3.99.11
Requires:	python-gnome-devel >= %{gnome_python_req}

%description gda-devel
Header files for pygda library.

%description gda-devel -l pl.UTF-8
Pliki nagłówkowe biblioteki pygda.

%package gdl
Summary:	GDL bindings for Python
Summary(pl.UTF-8):	Wiązania Pythona do biblioteki GDL
Group:		Libraries/Python
Requires:	gdl >= 0.7.2
Requires:	python-gnome-ui >= %{gnome_python_req}
Requires:	python-pygtk-glade >= %{pygtk_req}

%description gdl
GDL bindings for Python.

%description gdl -l pl.UTF-8
Wiązania Pythona do biblioteki GDL.

%package gtkhtml
Summary:	GtkHtml bindings for Python
Summary(pl.UTF-8):	Wiązania Pythona do biblioteki GtkHtml
Group:		Libraries/Python
Requires:	python-gnome-canvas >= %{gnome_python_req}
Provides:	python-gnome-gtkhtml = %{version}-%{release}
Obsoletes:	python-gnome-gtkhtml < 2.9.0

%description gtkhtml
GtkHtml bindings for Python.

%description gtkhtml -l pl.UTF-8
Wiązania Pythona do biblioteki GtkHtml.

%package gtkspell
Summary:	Gtkspell bindings for Python
Summary(pl.UTF-8):	Wiązania Pythona do biblioteki gtkspell
Group:		Libraries/Python
Requires:	python-pygtk-gtk >= %{pygtk_req}

%description gtkspell
Gtkspell bindings for Python.

%description gtkspell -l pl.UTF-8
Wiązania Pythona do biblioteki gtkspell.

%prep
%setup -q -n %{module}-%{version}
%patch0 -p1
%patch1 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake}
%configure \
	--enable-docs \
	--disable-gtkmozembed

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

cp -a examples/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%{__rm} $RPM_BUILD_ROOT%{py_sitedir}/gtk-2.0/{*.la,*/*.la}
%py_postclean %{_datadir}/pygtk/2.0

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS COPYING ChangeLog NEWS

%files devel
%defattr(644,root,root,755)
%{pydefsdir}/*
%{_pkgconfigdir}/gnome-python-extras-2.0.pc

%files examples
%defattr(644,root,root,755)
%{_examplesdir}/%{name}-%{version}

%files egg
%defattr(644,root,root,755)
%dir %{py_sitedir}/gtk-2.0/egg
%attr(755,root,root) %{py_sitedir}/gtk-2.0/egg/*.so
%{py_sitedir}/gtk-2.0/egg/__init__.py[co]

%files gda
%defattr(644,root,root,755)
%attr(755,root,root) %{py_sitedir}/gtk-2.0/gda.so

%files gda-devel
%defattr(644,root,root,755)
%{_includedir}/pygda-4.0
%{_datadir}/pygtk/2.0/argtypes/gda-arg-types.py[co]
%{_pkgconfigdir}/pygda-4.0.pc

%files gdl
%defattr(644,root,root,755)
%attr(755,root,root) %{py_sitedir}/gtk-2.0/gdl.so

%files gtkhtml
%defattr(644,root,root,755)
%attr(755,root,root) %{py_sitedir}/gtk-2.0/gtkhtml2.so

%files gtkspell
%defattr(644,root,root,755)
%attr(755,root,root) %{py_sitedir}/gtk-2.0/gtkspell.so
%{_gtkdocdir}/pygtkspell

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: python-gnome-extras.spec,v $
Revision 1.92  2012/06/29 09:00:23  kiesiu
- drop libgksu support; rel. 33

Revision 1.91  2011/06/28 21:18:33  megabajt
- removed mozilla bindings (gtkmozembed has been removed from xulrunner)
- release 32

Revision 1.90  2011/06/26 14:52:27  arekm
- release 31

Revision 1.89  2011/06/23 11:47:06  arekm
- release 30

Revision 1.88  2011/05/07 16:34:50  lisu
- fix build with gdl-3.0 (updated new-gdl.patch)
- use __rm macro
- rel 29

Revision 1.87  2011/03/24 18:42:24  megabajt
- release 28

Revision 1.86  2011/03/04 13:28:27  lisu
- rel 27

Revision 1.85  2011/03/02 14:50:13  lisu
- rel 26

Revision 1.84  2010/12/17 21:22:40  arekm
- release 25

Revision 1.83  2010/11/28 15:47:03  hawk
- release 24

Revision 1.82  2010/11/19 09:18:40  hawk
- release 23

Revision 1.81  2010/09/21 18:59:52  glen
- release 22

Revision 1.80  2010/09/16 19:10:15  duddits
- rel.21

Revision 1.79  2010/09/08 13:14:23  duddits
- rel. 20

Revision 1.78  2010/08/01 13:12:13  arekm
- release 19

Revision 1.77  2010/07/08 16:40:11  arekm
- release 18

Revision 1.76  2010/07/01 11:10:27  megabajt
- release 17

Revision 1.75  2010/04/06 17:34:54  wiget
- release 16

Revision 1.74  2010/02/16 10:05:47  arekm
- release 15

Revision 1.73  2010/02/15 11:53:01  arekm
- release 14

Revision 1.72  2010/01/22 18:31:51  arekm
- release 13

Revision 1.71  2010/01/15 23:51:29  hawk
- release 12

Revision 1.70  2010/01/07 14:31:16  duddits
- rel. 11

Revision 1.69  2009/12/18 15:56:19  megabajt
- release 10

Revision 1.68  2009/11/25 17:45:41  sparky
- BR: docbook-dtd412-xml, docbook-style-xsl, gnome-common, libxslt-progs

Revision 1.67  2009/11/08 19:48:40  megabajt
- release 9

Revision 1.66  2009/11/01 17:33:47  arekm
- release 8

Revision 1.65  2009/10/17 21:51:34  megabajt
- updated -new-gdl.patch to fix build with gdl 2.28.0
- release 7

Revision 1.64  2009/10/16 05:52:30  emes
- added BReq readline-devel

Revision 1.63  2009/09/10 12:20:40  baggins
- rel 6

Revision 1.62  2009/08/05 16:09:06  arekm
- release 5

Revision 1.61  2009/07/31 08:29:10  wiget
- rel. 4

Revision 1.60  2009/07/15 19:19:31  wiget
- release 3

Revision 1.59  2009/05/06 20:27:41  megabajt
- release 2

Revision 1.58  2009/04/26 11:34:49  megabajt
- updated to 2.25.3

Revision 1.57  2009/03/14 19:43:20  hawk
- release 18

Revision 1.56  2009/03/06 08:50:46  arekm
- release 17

Revision 1.55  2009/02/12 22:06:29  megabajt
- release 16

Revision 1.54  2009/01/04 02:07:19  sls
- BR: rpm-pythonprov

Revision 1.53  2008/12/17 18:08:15  hawk
- release 15

Revision 1.52  2008/11/13 17:59:04  arekm
- release 14

Revision 1.51  2008/10/16 19:22:19  sls
- BR: gdl-devel >= 2.24.0

Revision 1.50  2008/10/04 20:54:33  megabajt
- added -new-gdl.patch to allow build with gdl-2.24.0
- release 13

Revision 1.49  2008/09/30 10:26:19  hawk
- release 12

Revision 1.48  2008/07/23 15:15:39  hawk
- release 11

Revision 1.47  2008/07/08 22:17:33  megabajt
- updated -MOZILLA_HOME.patch, added -xulrunner.patch
- release 10

Revision 1.46  2008-04-26 21:44:25  megabajt
- release 9

Revision 1.45  2008-04-15 21:35:57  qboosh
- release 8

Revision 1.44  2008-04-15 21:18:06  qboosh
- argtypes are devel, so moved gda-arg-types.py* to -gda-devel;
  R: python-gnome-devel

Revision 1.43  2008-03-27 21:07:51  hawk
- release 7 (xulrunner 1.8.1.13)

Revision 1.42  2008-02-08 20:11:27  hawk
- release 6 (xulrunner 1.8.1.12)

Revision 1.41  2007-12-24 09:10:30  glen
- rel 5

Revision 1.40  2007-12-24 08:39:47  glen
- update to 2.19.1

Revision 1.39  2007-06-09 15:32:03  arekm
- rel 5

Revision 1.38  2007/03/25 22:51:46  sls
- not ready for gksu-2

Revision 1.37  2007/03/23 18:09:19  megabajt
- release 4 to rebuild with xulrunner 1.8.1.3

Revision 1.36  2007/02/27 19:55:59  arekm
- rel 3

Revision 1.35  2007/02/26 17:07:04  megabajt
- release 2 to rebuild with new xulrunner

Revision 1.34  2007/02/25 16:47:47  megabajt
- updated to 2.14.3

Revision 1.33  2007/02/13 08:06:42  glen
- tabs in preamble

Revision 1.32  2007/02/12 01:06:28  baggins
- converted to UTF-8

Revision 1.31  2006/09/27 18:39:42  wrobell
- rel. 6 to rebuild with python 2.5 (final)

Revision 1.30  2006/08/27 12:56:39  havner
- rebuild with 2.5
- rel 5

Revision 1.29  2006/08/11 20:43:20  freetz
- rel.4, fixed pkgconfig files

Revision 1.28  2006/08/11 19:12:05  freetz
- removed incidentally added trash

Revision 1.27  2006/08/11 19:11:08  freetz
- more changlog

Revision 1.26  2006/08/11 19:10:10  freetz
- rel.3, use HEAD deps, dropped gda patch (support for new gda dropped
  upstream), use stable gda, dropped support for old mozilla

Revision 1.25  2006/08/10 20:56:31  patrys
- rebuild with proper patch

Revision 1.24  2006/08/10 20:47:46  patrys
- up to 2.14.2

Revision 1.23  2006/06/18 11:30:43  freetz
- rel.2, GNOME 2.15.x deps

Revision 1.22  2006/05/26 20:38:06  ankry
- standarized

Revision 1.21  2006/04/20 18:24:22  paladine
- updated to 2.14.0
- build with firefox by default

Revision 1.20  2005/11/16 11:12:24  paladine
- fixed Rs, rel. 2

Revision 1.19  2005/11/14 19:49:52  qboosh
- tabs

Revision 1.18  2005/11/14 19:37:52  paladine
- md5

Revision 1.17  2005/11/14 19:31:40  paladine
- updated to 2.12.1
- updated libgda20 patch
- added examples subpackage

Revision 1.16  2005/10/25 13:03:46  freetz
- own pygda-2.0 dir

Revision 1.15  2005/10/25 12:57:33  freetz
- update to new 2.0 libgda API (patch added), rel.4

Revision 1.14  2005/10/08 12:55:56  freetz
- rel.3

Revision 1.13  2005/09/22 13:31:15  freetz
- req python-gnome-extras-print for gtksourceview subpkg

Revision 1.12  2005/09/18 22:26:43  freetz
- rel.2 (rebuild with fixed totem)

Revision 1.11  2005/09/10 21:42:16  freetz
- 2.12.0

Revision 1.10  2005/09/08 15:12:13  freetz
- merged from DEVEL

Revision 1.9.2.2  2005/08/10 16:57:08  freetz
- gdl subpackage, gtk-doc documentation packaged, sorted subpackages/files
  lists, rel.1

Revision 1.9.2.1  2005/08/10 15:42:04  paladine
- updated to 2.11.4
- new bindings: gda, libgksu, mediaprofiles
- NFY

Revision 1.9  2005/06/04 09:21:59  paladine
- updated to 2.10.2
- added mozilla firefox bcond

Revision 1.8  2005/05/14 06:48:25  ankry
- BR: hal-devel, rel. 4

Revision 1.7  2005/05/14 06:31:58  ankry
- BR: popt-devel, rel. 3

Revision 1.6  2005/05/14 01:19:42  ankry
- versioned P:/O:, rel. 2

Revision 1.5  2005/04/12 08:32:45  paladine
- updated to 2.10.1
- bumped BRs

Revision 1.4  2005/03/29 03:21:59  wrobell
- ver. 2.10.0
- added totem bcond

Revision 1.3  2005/03/03 11:03:44  paladine
- added wnck patch, BR: libwnck >= 2.9.92.1
- rel. 2

Revision 1.2  2005/02/16 00:58:43  paladine
- updated to 2.9.4
- proper license
- missing BR: pkgconfig
- removed empty README from %%doc

Revision 1.1  2005/02/10 23:16:48  grzegol
- new
